Bug 201769 - mail/thunderbird: update thunderbird to 38.1.0
Summary: mail/thunderbird: update thunderbird to 38.1.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-gecko mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-07-22 18:14 UTC by Christoph Moench-Tegeder
Modified: 2015-07-24 03:32 UTC (History)
0 users

See Also:


Attachments
to be applied in mail/thunderbird PATCH 1/3 (128.23 KB, patch)
2015-07-22 18:14 UTC, Christoph Moench-Tegeder
no flags Details | Diff
to be applied in mail/thunderbird-i18n PATCH 2/3 (18.61 KB, patch)
2015-07-22 18:15 UTC, Christoph Moench-Tegeder
no flags Details | Diff
to be applied in Mk/Uses PATCH 3/3 (385 bytes, patch)
2015-07-22 18:16 UTC, Christoph Moench-Tegeder
no flags Details | Diff
output of make stage-qa check-orphans (for lack of poudriere) (604 bytes, text/plain)
2015-07-22 18:18 UTC, Christoph Moench-Tegeder
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Christoph Moench-Tegeder freebsd_committer 2015-07-22 18:14:49 UTC
Created attachment 159076 [details]
to be applied in mail/thunderbird PATCH 1/3

Here's the upgrade to thunderbird 38.1.0+Lightning 4.0.1+Enigmail 1.8.2 (Enigmail hasn't changed...).

Please note the high number of deleted patch files in mail/thunderbird/files/ (they have been applied upstream, or at least they won't apply any more and their respective bugs have been closed) - there's "svn status" output included in the patch files.
As in firefox, I'm circumventing the use of system libopus - else I can't get thunderbird to build.

I tested basic email/IMAP/SMTP functionality, a little enigmail/GPG encryption/signing and a little calendar functionality, looks ok so far.
Comment 1 Christoph Moench-Tegeder freebsd_committer 2015-07-22 18:15:35 UTC
Created attachment 159077 [details]
to be applied in mail/thunderbird-i18n PATCH 2/3
Comment 2 Christoph Moench-Tegeder freebsd_committer 2015-07-22 18:16:29 UTC
Created attachment 159078 [details]
to be applied in Mk/Uses PATCH 3/3
Comment 3 Christoph Moench-Tegeder freebsd_committer 2015-07-22 18:18:19 UTC
Created attachment 159079 [details]
output of make stage-qa check-orphans (for lack of poudriere)
Comment 4 commit-hook freebsd_committer 2015-07-23 23:37:10 UTC
A commit references this bug:

Author: jbeich
Date: Thu Jul 23 23:36:13 UTC 2015
New revision: 392761
URL: https://svnweb.freebsd.org/changeset/ports/392761

Log:
  - Update Thunderbird to 38.1.0

  Changes:	https://www.mozilla.org/thunderbird/38.0.1/releasenotes/
  Changes:	https://www.mozilla.org/thunderbird/38.1.0/releasenotes/
  PR:		201769
  Submitted by:	Christoph Moench-Tegeder <cmt@burggraben.net> (based on)
  MFH:		2015Q3
  X-MFH-With:	r392273
  Security:	https://vuxml.freebsd.org/freebsd/44d9daee-940c-4179-86bb-6e3ffd617869.html

Changes:
  head/Mk/Uses/gecko.mk
  head/mail/linux-thunderbird/Makefile
  head/mail/linux-thunderbird/distinfo
  head/mail/linux-thunderbird/pkg-plist
  head/mail/thunderbird/Makefile
  head/mail/thunderbird/distinfo
  head/mail/thunderbird/files/patch-bug1013675
  head/mail/thunderbird/files/patch-bug1015547
  head/mail/thunderbird/files/patch-bug1021171
  head/mail/thunderbird/files/patch-bug1021761
  head/mail/thunderbird/files/patch-bug1026828
  head/mail/thunderbird/files/patch-bug1041268
  head/mail/thunderbird/files/patch-bug1041795
  head/mail/thunderbird/files/patch-bug1046224
  head/mail/thunderbird/files/patch-bug1067377
  head/mail/thunderbird/files/patch-bug1073117
  head/mail/thunderbird/files/patch-bug1073709
  head/mail/thunderbird/files/patch-bug1082199
  head/mail/thunderbird/files/patch-bug1103858
  head/mail/thunderbird/files/patch-bug1125579
  head/mail/thunderbird/files/patch-bug1125580
  head/mail/thunderbird/files/patch-bug1130155
  head/mail/thunderbird/files/patch-bug1138845
  head/mail/thunderbird/files/patch-bug1143686
  head/mail/thunderbird/files/patch-bug1144643
  head/mail/thunderbird/files/patch-bug702179
  head/mail/thunderbird/files/patch-bug779713
  head/mail/thunderbird/files/patch-bug826985
  head/mail/thunderbird/files/patch-bug847568
  head/mail/thunderbird/files/patch-bug858919
  head/mail/thunderbird/files/patch-bug961264
  head/mail/thunderbird/files/patch-config-baseconfig.mk
  head/mail/thunderbird/files/patch-ijg-libjpeg
  head/mail/thunderbird/files/patch-mail-app-nsMailApp.cpp
  head/mail/thunderbird/files/patch-media-libstagefright-foundation-AString.cpp
  head/mail/thunderbird/files/patch-media-mtransport-third_party-nICEr-src-util-mbslen.c
  head/mail/thunderbird/files/patch-media-webrtc-trunk-src-system_wrappers-source-spreadsortlib-spreadsort.hpp
  head/mail/thunderbird/files/patch-memory-jemalloc-Makefile.in
  head/mail/thunderbird/files/patch-mozilla-media-mtransport-third_party-nICEr-src-util-mbslen.c
  head/mail/thunderbird/files/patch-mozilla-media-webrtc-trunk-src-system_wrappers-source-spreadsortlib-spreadsort.hpp
  head/mail/thunderbird/files/patch-mozilla-memory-jemalloc-Makefile.in
  head/mail/thunderbird/files/patch-mozilla_toolkit_mozapps_installer_packager_mk
  head/mail/thunderbird/files/patch-system-openh264
  head/mail/thunderbird/files/patch-toolkit_mozapps_installer_packager_mk
  head/mail/thunderbird/files/patch-z-bug517422
  head/mail/thunderbird-i18n/Makefile
  head/mail/thunderbird-i18n/Makefile.lang
  head/mail/thunderbird-i18n/Makefile.option
  head/mail/thunderbird-i18n/distinfo
Comment 5 Jan Beich freebsd_committer 2015-07-24 00:05:02 UTC
mail/thunderbird uses patches from www/firefox-esr except for:
- mozilla/ prefix in ---/+++ lines
- thunderbird-specific patches (often shared with seamonkey)
- nop patches omitted (e.g. affect only browser/ or too WIP elsewhere like gtk3)

So, attachment 159076 [details] had a few minor issues:
- Makefile lacks version requirement bumps for nspr, nss and sqlite
- files/patch-media-libstagefright-foundation-AString.cpp (file is missing)
- files/patch-bug779713 (no alignas for gcc 4.8+)
- files/patch-bug1021761 (some WRAPs in cubeb_alsa and struct oss_ops update in cubeb_oss)
- files/patch-bug1130155 (snd_pcm_avail_update call is gone)
Comment 6 commit-hook freebsd_committer 2015-07-24 03:32:41 UTC
A commit references this bug:

Author: jbeich
Date: Fri Jul 24 03:31:40 UTC 2015
New revision: 392767
URL: https://svnweb.freebsd.org/changeset/ports/392767

Log:
  MFH: r392273, r392758, r392759, r392761

  - Update NSS and ca_root_nss to 3.19.2
  - Update Firefox and gmp-api to 39.0
  - Update Firefox ESR and libxul to 38.1.0
  - Update Thunderbird to 38.1.0 [1]
  - Stop regressing r380782 with harfbuzz/libvorbis deps

  Changes:	https://developer.mozilla.org/docs/Mozilla/Projects/NSS/NSS_3.19.2_release_notes
  Changes:        https://github.com/mozilla/gmp-api/compare/Firefox38...Firefox39
  Changes:	https://www.mozilla.org/firefox/39.0/releasenotes/
  Changes:	https://www.mozilla.org/firefox/38.1.0/releasenotes/
  Changes:	https://www.mozilla.org/thunderbird/38.0.1/releasenotes/
  Changes:	https://www.mozilla.org/thunderbird/38.1.0/releasenotes/
  PR:		201769 [1]
  Submitted by:	Christoph Moench-Tegeder <cmt@burggraben.net> (based on) [1]
  Security:	https://vuxml.freebsd.org/freebsd/44d9daee-940c-4179-86bb-6e3ffd617869.html
  Approved by:	ports-secteam (feld, delphij)

Changes:
_U  branches/2015Q3/
  branches/2015Q3/Mk/Uses/gecko.mk
  branches/2015Q3/Mk/bsd.gecko.mk
  branches/2015Q3/mail/linux-thunderbird/Makefile
  branches/2015Q3/mail/linux-thunderbird/distinfo
  branches/2015Q3/mail/linux-thunderbird/pkg-plist
  branches/2015Q3/mail/thunderbird/Makefile
  branches/2015Q3/mail/thunderbird/distinfo
  branches/2015Q3/mail/thunderbird/files/patch-bug1013675
  branches/2015Q3/mail/thunderbird/files/patch-bug1015547
  branches/2015Q3/mail/thunderbird/files/patch-bug1021171
  branches/2015Q3/mail/thunderbird/files/patch-bug1021761
  branches/2015Q3/mail/thunderbird/files/patch-bug1026828
  branches/2015Q3/mail/thunderbird/files/patch-bug1041268
  branches/2015Q3/mail/thunderbird/files/patch-bug1041795
  branches/2015Q3/mail/thunderbird/files/patch-bug1046224
  branches/2015Q3/mail/thunderbird/files/patch-bug1067377
  branches/2015Q3/mail/thunderbird/files/patch-bug1073117
  branches/2015Q3/mail/thunderbird/files/patch-bug1073709
  branches/2015Q3/mail/thunderbird/files/patch-bug1082199
  branches/2015Q3/mail/thunderbird/files/patch-bug1103858
  branches/2015Q3/mail/thunderbird/files/patch-bug1125579
  branches/2015Q3/mail/thunderbird/files/patch-bug1125580
  branches/2015Q3/mail/thunderbird/files/patch-bug1130155
  branches/2015Q3/mail/thunderbird/files/patch-bug1138845
  branches/2015Q3/mail/thunderbird/files/patch-bug1143686
  branches/2015Q3/mail/thunderbird/files/patch-bug1144643
  branches/2015Q3/mail/thunderbird/files/patch-bug702179
  branches/2015Q3/mail/thunderbird/files/patch-bug779713
  branches/2015Q3/mail/thunderbird/files/patch-bug826985
  branches/2015Q3/mail/thunderbird/files/patch-bug847568
  branches/2015Q3/mail/thunderbird/files/patch-bug858919
  branches/2015Q3/mail/thunderbird/files/patch-bug961264
  branches/2015Q3/mail/thunderbird/files/patch-config-baseconfig.mk
  branches/2015Q3/mail/thunderbird/files/patch-ijg-libjpeg
  branches/2015Q3/mail/thunderbird/files/patch-mail-app-nsMailApp.cpp
  branches/2015Q3/mail/thunderbird/files/patch-media-libstagefright-foundation-AString.cpp
  branches/2015Q3/mail/thunderbird/files/patch-media-mtransport-third_party-nICEr-src-util-mbslen.c
  branches/2015Q3/mail/thunderbird/files/patch-media-webrtc-trunk-src-system_wrappers-source-spreadsortlib-spreadsort.hpp
  branches/2015Q3/mail/thunderbird/files/patch-memory-jemalloc-Makefile.in
  branches/2015Q3/mail/thunderbird/files/patch-mozilla-media-mtransport-third_party-nICEr-src-util-mbslen.c
  branches/2015Q3/mail/thunderbird/files/patch-mozilla-media-webrtc-trunk-src-system_wrappers-source-spreadsortlib-spreadsort.hpp
  branches/2015Q3/mail/thunderbird/files/patch-mozilla-memory-jemalloc-Makefile.in
  branches/2015Q3/mail/thunderbird/files/patch-mozilla_toolkit_mozapps_installer_packager_mk
  branches/2015Q3/mail/thunderbird/files/patch-system-openh264
  branches/2015Q3/mail/thunderbird/files/patch-toolkit_mozapps_installer_packager_mk
  branches/2015Q3/mail/thunderbird/files/patch-z-bug517422
  branches/2015Q3/mail/thunderbird-i18n/Makefile
  branches/2015Q3/mail/thunderbird-i18n/Makefile.lang
  branches/2015Q3/mail/thunderbird-i18n/Makefile.option
  branches/2015Q3/mail/thunderbird-i18n/distinfo
  branches/2015Q3/multimedia/gmp-api/Makefile
  branches/2015Q3/multimedia/gmp-api/distinfo
  branches/2015Q3/multimedia/openh264/Makefile
  branches/2015Q3/security/ca_root_nss/Makefile
  branches/2015Q3/security/ca_root_nss/distinfo
  branches/2015Q3/security/nss/Makefile
  branches/2015Q3/security/nss/distinfo
  branches/2015Q3/www/firefox/Makefile
  branches/2015Q3/www/firefox/distinfo
  branches/2015Q3/www/firefox/files/patch-bug1013882
  branches/2015Q3/www/firefox/files/patch-bug1073117
  branches/2015Q3/www/firefox/files/patch-bug1138845
  branches/2015Q3/www/firefox/files/patch-bug1143686
  branches/2015Q3/www/firefox/files/patch-bug1144643
  branches/2015Q3/www/firefox/files/patch-bug779713
  branches/2015Q3/www/firefox/files/patch-bug826985
  branches/2015Q3/www/firefox/files/patch-system-openh264
  branches/2015Q3/www/firefox-esr/Makefile
  branches/2015Q3/www/firefox-esr/distinfo
  branches/2015Q3/www/firefox-esr/files/patch-bug1013675
  branches/2015Q3/www/firefox-esr/files/patch-bug1013882
  branches/2015Q3/www/firefox-esr/files/patch-bug1015547
  branches/2015Q3/www/firefox-esr/files/patch-bug1021171
  branches/2015Q3/www/firefox-esr/files/patch-bug1021761
  branches/2015Q3/www/firefox-esr/files/patch-bug1026828
  branches/2015Q3/www/firefox-esr/files/patch-bug1041268
  branches/2015Q3/www/firefox-esr/files/patch-bug1041381
  branches/2015Q3/www/firefox-esr/files/patch-bug1041795
  branches/2015Q3/www/firefox-esr/files/patch-bug1046224
  branches/2015Q3/www/firefox-esr/files/patch-bug1061736
  branches/2015Q3/www/firefox-esr/files/patch-bug1067377
  branches/2015Q3/www/firefox-esr/files/patch-bug1073117
  branches/2015Q3/www/firefox-esr/files/patch-bug1073709
  branches/2015Q3/www/firefox-esr/files/patch-bug1082199
  branches/2015Q3/www/firefox-esr/files/patch-bug1103858
  branches/2015Q3/www/firefox-esr/files/patch-bug1125579
  branches/2015Q3/www/firefox-esr/files/patch-bug1125580
  branches/2015Q3/www/firefox-esr/files/patch-bug1130155
  branches/2015Q3/www/firefox-esr/files/patch-bug1138845
  branches/2015Q3/www/firefox-esr/files/patch-bug1143686
  branches/2015Q3/www/firefox-esr/files/patch-bug1144643
  branches/2015Q3/www/firefox-esr/files/patch-bug702179
  branches/2015Q3/www/firefox-esr/files/patch-bug779713
  branches/2015Q3/www/firefox-esr/files/patch-bug826985
  branches/2015Q3/www/firefox-esr/files/patch-bug847568
  branches/2015Q3/www/firefox-esr/files/patch-bug858919
  branches/2015Q3/www/firefox-esr/files/patch-bug961264
  branches/2015Q3/www/firefox-esr/files/patch-ijg-libjpeg
  branches/2015Q3/www/firefox-esr/files/patch-media-libstagefright-foundation-AString.cpp
  branches/2015Q3/www/firefox-esr/files/patch-system-openh264
  branches/2015Q3/www/firefox-esr/files/patch-z-bug517422
  branches/2015Q3/www/firefox-esr-i18n/Makefile
  branches/2015Q3/www/firefox-esr-i18n/Makefile.lang
  branches/2015Q3/www/firefox-esr-i18n/Makefile.option
  branches/2015Q3/www/firefox-esr-i18n/distinfo
  branches/2015Q3/www/firefox-i18n/Makefile
  branches/2015Q3/www/firefox-i18n/distinfo
  branches/2015Q3/www/libxul/Makefile
  branches/2015Q3/www/libxul/distinfo
  branches/2015Q3/www/libxul/files/patch-bug1013675
  branches/2015Q3/www/libxul/files/patch-bug1013882
  branches/2015Q3/www/libxul/files/patch-bug1015547
  branches/2015Q3/www/libxul/files/patch-bug1021171
  branches/2015Q3/www/libxul/files/patch-bug1021761
  branches/2015Q3/www/libxul/files/patch-bug1026828
  branches/2015Q3/www/libxul/files/patch-bug1041268
  branches/2015Q3/www/libxul/files/patch-bug1041381
  branches/2015Q3/www/libxul/files/patch-bug1041795
  branches/2015Q3/www/libxul/files/patch-bug1046224
  branches/2015Q3/www/libxul/files/patch-bug1061736
  branches/2015Q3/www/libxul/files/patch-bug1067377
  branches/2015Q3/www/libxul/files/patch-bug1073117
  branches/2015Q3/www/libxul/files/patch-bug1073709
  branches/2015Q3/www/libxul/files/patch-bug1082199
  branches/2015Q3/www/libxul/files/patch-bug1103858
  branches/2015Q3/www/libxul/files/patch-bug1125579
  branches/2015Q3/www/libxul/files/patch-bug1125580
  branches/2015Q3/www/libxul/files/patch-bug1130155
  branches/2015Q3/www/libxul/files/patch-bug1138845
  branches/2015Q3/www/libxul/files/patch-bug1143686
  branches/2015Q3/www/libxul/files/patch-bug1144643
  branches/2015Q3/www/libxul/files/patch-bug702179
  branches/2015Q3/www/libxul/files/patch-bug779713
  branches/2015Q3/www/libxul/files/patch-bug826985
  branches/2015Q3/www/libxul/files/patch-bug847568
  branches/2015Q3/www/libxul/files/patch-bug858919
  branches/2015Q3/www/libxul/files/patch-bug961264
  branches/2015Q3/www/libxul/files/patch-ijg-libjpeg
  branches/2015Q3/www/libxul/files/patch-media-libstagefright-foundation-AString.cpp
  branches/2015Q3/www/libxul/files/patch-system-openh264
  branches/2015Q3/www/libxul/files/patch-z-bug517422
  branches/2015Q3/www/linux-firefox/Makefile
  branches/2015Q3/www/linux-firefox/distinfo
  branches/2015Q3/www/linux-firefox/pkg-plist